PHPExcel_Reader

# Class: PHPExcel_Reader_Excel2003XML

Source Location: /PHPExcel/Reader/Excel2003XML.php

### Class Overview

PHPExcel_Reader_Excel2003XML

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Reader_IReader

### Methods

- __construct
- canRead
- getLoadSheetsOnly
- getReadDataOnly
- getReadFilter
- listWorksheetInfo
- listWorksheetNames
- load
- loadIntoExisting
- setLoadAllSheets
- setLoadSheetsOnly
- setReadDataOnly
- setReadFilter

### Class Details

[line 45]
PHPExcel_Reader_Excel2003XML

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 86]

`PHPExcel_Reader_Excel2003XML __construct( )`

Create a new PHPExcel_Reader_Excel2003XML

#### Tags:

access: | public

[ Top ]

### method canRead [line 179]

`boolean canRead( $pFilename, string $pFileName)`

Can the current PHPExcel_Reader_IReader read the file?

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::canRead()
  Can the current PHPExcel_Reader_IReader read the file?

#### Parameters:

string | $pFileName |
| $pFilename |

[ Top ]

### method getLoadSheetsOnly [line 118]

`mixed getLoadSheetsOnly( )`

Get which sheets to load

#### Tags:

access: | public

[ Top ]

### method getReadDataOnly [line 96]

`boolean getReadDataOnly( )`

Read data only?

#### Tags:

access: | public

[ Top ]

### method getReadFilter [line 155]

`PHPExcel_Reader_IReadFilter getReadFilter( )`

Read filter

#### Tags:

access: | public

[ Top ]

### method listWorksheetInfo [line 263]

`void listWorksheetInfo( string $pFilename)`

Return worksheet info (Name, Last Column Letter, Last Column Index, Total Rows, Total Columns)

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method listWorksheetNames [line 232]

`void listWorksheetNames( string $pFilename)`

Reads names of the worksheets from a file, without parsing the whole file to a PHPExcel object

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### method load [line 335]

`PHPExcel load( string $pFilename)`

Loads PHPExcel from file

#### Tags:

throws: | Exception
access: | public

Implementation of:

PHPExcel_Reader_IReader::load()
  Loads PHPExcel from file

#### Parameters:

string | $pFilename |

[ Top ]

### method loadIntoExisting [line 397]

`PHPExcel loadIntoExisting( string $pFilename, PHPExcel $objPHPExcel)`

Loads PHPExcel from file into PHPExcel instance

#### Tags:

throws: | Exception
access: | public

#### Parameters:

string | $pFilename |
PHPExcel | $objPHPExcel |

[ Top ]

### method setLoadAllSheets [line 143]

`PHPExcel_Reader_Excel2003XML setLoadAllSheets( )`

Set all sheets to load

#### Tags:

access: | public

[ Top ]

### method setLoadSheetsOnly [line 130]

`PHPExcel_Reader_Excel2003XML setLoadSheetsOnly( [mixed $value = null])`

Set which sheets to load

#### Tags:

access: | public

#### Parameters:

mixed | $value |

[ Top ]

### method setReadDataOnly [line 107]

`PHPExcel_Reader_Excel2003XML setReadDataOnly( [boolean $pValue = false])`

Set read data only

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method setReadFilter [line 166]

`PHPExcel_Reader_Excel2003XML setReadFilter( PHPExcel_Reader_IReadFilter $pValue)`

Set read filter

#### Tags:

access: | public

#### Parameters:

PHPExcel_Reader_IReadFilter | $pValue |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:13 +0200 by phpDocumentor 1.4.4